> ## Documentation Index
> Fetch the complete documentation index at: https://velt.dev/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Presence

Use this API to remove users from the presence list for a document within an organization.

# Endpoint

`POST https://api.velt.dev/v2/presence/delete`

# Headers

<ParamField header="x-velt-api-key" type="string" required>
  Your API key.
</ParamField>

<ParamField header="x-velt-auth-token" type="string" required>
  Your [Auth Token](/security/auth-tokens).
</ParamField>

# Body

#### Params

<ParamField body="data" type="object" required>
  <Expandable title="properties">
    <ParamField body="organizationId" type="string" required>
      Organization ID
    </ParamField>

    <ParamField body="documentId" type="string" required>
      Document ID
    </ParamField>

    <ParamField body="userIds" type="string[]" required>
      Array of user IDs to remove from presence.
    </ParamField>
  </Expandable>
</ParamField>

## **Example Requests**

#### Delete a single user from presence

```JSON theme={null}
{
  "data": {
    "organizationId": "org-123",
    "documentId": "doc-456",
    "userIds": ["user-1"]
  }
}
```

#### Delete multiple users from presence

```JSON theme={null}
{
  "data": {
    "organizationId": "org-123",
    "documentId": "doc-456",
    "userIds": ["user-1", "user-2", "user-3"]
  }
}
```

# Response

#### Success Response

```JSON theme={null}
{
  "result": {
    "status": "success",
    "message": "Presence deleted successfully.",
    "data": {
      "success": true
    }
  }
}
```

#### Failure Response

```JSON theme={null}
{
  "error": {
    "message": "ERROR_MESSAGE",
    "status": "INVALID_ARGUMENT"
  }
}
```

<ResponseExample>
  ```js theme={null}
  {
    "result": {
      "status": "success",
      "message": "Presence deleted successfully.",
      "data": {
        "success": true
      }
    }
  }
  ```
</ResponseExample>
